Name: system-tools-backends
Version: 2.6.1
Release: alt1

Summary: System Tools to manage computer configuration -- scripts
License: GPL
Group: System/Libraries
Url: http://system-tools-backends.freedesktop.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar
Source1: %name.init
Source2: %name.1

Patch1:  01_altlinux.patch
Patch2:  02_sbin_prog.patch
Patch3:  03_configure_gettext.patch
# Patches from debian
Patch20: 20_default_permissions.patch
Patch21: 21_correct_perl_command.patch
Patch22: 22_dont_symlink_localtime.patch
Patch23: 23_cve_2008_4311.patch
#Patches from Ubuntu
Patch40: 40_utils.patch
Patch41: 41_cleanup-pid-file.patch

BuildRequires: perl-XML-Parser perl-Net-DBus libdbus-devel libdbus-glib-devel glib2-devel libgio-devel libpolkit-devel autogen intltool

%set_perl_req_method relaxed

%description
The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide a standard XML interface for modifying the configuration regardless of the distribution that's being used.

%package devel
Summary: System Tools to manage computer configuration -- development files
Group: Development/C
PreReq: %name = %version-%release

%description devel
The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide a standard XML interface for modifying the configuration regardless of the distribution that's being used.
This package contain development files.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch40 -p1
%patch41 -p1

%build
sh ./autogen.sh --no-configure
%configure --with-net-dbus=%_libdir/perl5 --with-stb-group=stb-admin --localstatedir=%_var
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -D %SOURCE1 %buildroot%_initdir/stbd
%__install -D %SOURCE2 %buildroot%_man1dir/%{name}.1
%find_lang %name

%post
/usr/sbin/groupadd -r -f stb-admin

%files -f %name.lang
%_sysconfdir/dbus-1/system.d/%name.conf
%_initdir/stbd
%_sbindir/%name
%_datadir/%name-2.0
%_datadir/PolicyKit/policy/%name.policy
%_datadir/dbus-1/system-services/org.freedesktop.SystemToolsBackends*
%_man1dir/%{name}*

%files devel
%_libdir/pkgconfig/%name-2.0.pc
%doc AUTHORS ChangeLog NEWS COPYING README

%changelog
* Sun May 03 2009 Vladimir Lettiev <crux@altlinux.ru> 2.6.1-alt1
- new release
- s-t-b moved to sbindir (Closes: 17516)
- security fix: CVE-2008-4311

* Wed Sep 17 2008 Vladimir Lettiev <crux@altlinux.ru> 2.6.0-alt1
- Initial build for Sisyphus

